> ## Documentation Index
> Fetch the complete documentation index at: https://www.latitude.sh/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List firewall assignments

> Returns a list of all servers assigned to one or more firewalls.



## OpenAPI

````yaml https://spec.speakeasy.com/latitude/latitude/latitude-sh-api-with-code-samples get /firewalls/assignments
openapi: 3.0.1
info:
  title: Latitude.sh API
  version: '2023-06-01'
  description: >-
    The Latitude.sh API is a RESTful API to manage your Latitude.sh account. It
    allows you to perform the same actions as the Latitude.sh dashboard.
servers:
  - url: https://api.latitude.sh
    variables:
      latitude_api_key:
        default: <insert your api key here>
  - url: http://api.latitude.sh
    variables:
      latitude_api_key:
        default: <insert your api key here>
security: []
tags:
  - name: API keys
  - name: Billing
  - name: Elastic Ips
  - name: Events
  - name: Firewalls
  - name: IP Addresses
  - name: Kubernetes Clusters
  - name: Operating Systems
  - name: Plans
  - name: Private Networks
  - name: Projects
  - name: Regions
  - name: Roles
  - name: SSH Keys
  - name: Servers
  - name: Storage
  - name: Tags
  - name: Teams
  - name: Team members
  - name: Traffic
  - name: User data
  - name: User profile
  - name: VPN Sessions
  - name: Virtual machines
paths:
  /firewalls/assignments:
    get:
      tags:
        - Firewalls
      summary: List firewall assignments
      description: Returns a list of all servers assigned to one or more firewalls.
      operationId: get-all-firewall-assignments
      parameters:
        - name: filter[server]
          in: query
          required: false
          description: The server ID to filter by
          schema:
            type: string
          examples:
            Success:
              value: sv_Qk0Ryqv1dW36X
        - name: page[size]
          in: query
          schema:
            type: integer
            minimum: 1
            default: 20
          required: false
          description: Number of items to return per page
        - name: page[number]
          in: query
          schema:
            type: integer
            minimum: 1
            default: 1
          required: false
          description: Page number to return (starts at 1)
      responses:
        '200':
          description: Success
          content:
            application/vnd.api+json:
              examples:
                Success:
                  value:
                    data:
                      - id: fwasg_zGr47qlMDAg0m
                        type: firewall_assignments
                        attributes:
                          server:
                            id: sv_Qk0Ryqv1dW36X
                            hostname: Heavy Duty Silk Bottle
                            primary_ipv4: 237.198.84.1
                          firewall:
                            id: fw_pRMLydp0dQKr1
                            name: Welch LLC
                      - id: fwasg_w5AEmq7XDBkWX
                        type: firewall_assignments
                        attributes:
                          server:
                            id: sv_Qk0Ryqv1dW36X
                            hostname: Heavy Duty Silk Bottle
                            primary_ipv4: 237.198.84.1
                          firewall:
                            id: fw_zGr47qlMDAg0m
                            name: Corkery-Windler
              schema:
                $ref: '#/components/schemas/firewall_assignments'
      security:
        - Bearer: []
      x-codeSamples:
        - lang: python
          label: Python (SDK)
          source: |-
            from latitudesh_python_sdk import Latitudesh
            import os


            with Latitudesh(
                bearer=os.getenv("LATITUDESH_BEARER", ""),
            ) as latitudesh:

                res = latitudesh.firewalls.get_all_firewall_assignments(filter_server="sv_Qk0Ryqv1dW36X", page_size=20, page_number=1)

                while res is not None:
                    # Handle items

                    res = res.next()
        - lang: go
          label: Go (SDK)
          source: "package main\n\nimport(\n\t\"context\"\n\t\"os\"\n\tlatitudeshgosdk \"github.com/latitudesh/latitudesh-go-sdk\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := latitudeshgosdk.New(\n        latitudeshgosdk.WithSecurity(os.Getenv(\"LATITUDESH_BEARER\")),\n    )\n\n    res, err := s.Firewalls.GetAllFirewallAssignments(ctx, latitudeshgosdk.Pointer(\"sv_Qk0Ryqv1dW36X\"), latitudeshgosdk.Pointer[int64](20), latitudeshgosdk.Pointer[int64](1))\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.FirewallAssignments != nil {\n        for {\n            // handle items\n\n            res, err = res.Next()\n\n            if err != nil {\n                // handle error\n            }\n\n            if res == nil {\n                break\n            }\n        }\n    }\n}"
        - lang: typescript
          label: Typescript (SDK)
          source: |-
            import { Latitudesh } from "latitudesh-typescript-sdk";

            const latitudesh = new Latitudesh({
              bearer: process.env["LATITUDESH_BEARER"] ?? "",
            });

            async function run() {
              const result = await latitudesh.firewalls.getAllFirewallAssignments({
                filterServer: "sv_Qk0Ryqv1dW36X",
              });

              for await (const page of result) {
                console.log(page);
              }
            }

            run();
components:
  schemas:
    firewall_assignments:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/firewall_assignment_data'
        meta:
          type: object
    firewall_assignment_data:
      type: object
      properties:
        id:
          type: string
        type:
          type: string
          enum:
            - firewall_assignments
        attributes:
          type: object
          properties:
            server:
              type: object
              properties:
                id:
                  type: string
                primary_ipv4:
                  type: string
                hostname:
                  type: string
            firewall_id:
              type: string
  securitySchemes:
    Bearer:
      type: apiKey
      name: Authorization
      in: header

````